Last Comment Bug 507540 - Stop running build-and-unittest jobs
: Stop running build-and-unittest jobs
Status: RESOLVED FIXED
:
Product: Release Engineering
Classification: Other
Component: Other (show other bugs)
: other
: All All
: P2 normal (vote)
: ---
Assigned To: Chris AtLee [:catlee]
:
Mentors:
Depends on: 372581 516983 523385 524775
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-30 18:35 PDT by John O'Duinn [:joduinn] (please use "needinfo?" flag)
Modified: 2013-08-12 21:54 PDT (History)
13 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Stop running tests in unittest builder (1.72 KB, patch)
2009-09-16 08:25 PDT, Chris AtLee [:catlee]
bhearsum: review+
catlee: checked‑in+
Details | Diff | Splinter Review
Allow unittests to be toggled on per-platform basis (17.65 KB, patch)
2009-11-04 06:49 PST, Chris AtLee [:catlee]
bhearsum: review+
catlee: checked‑in+
Details | Diff | Splinter Review
buildbot-configs to turn off unittests on linux mozilla-central (23.54 KB, patch)
2009-11-04 06:51 PST, Chris AtLee [:catlee]
bhearsum: review+
catlee: checked‑in+
Details | Diff | Splinter Review
buildbot-configs to turn off unittests on win32 mozilla-central (2.71 KB, patch)
2009-12-03 18:31 PST, Chris AtLee [:catlee]
bhearsum: review+
catlee: checked‑in+
Details | Diff | Splinter Review
turn off unittests on osx mozilla-central (2.53 KB, patch)
2010-01-15 09:30 PST, Chris AtLee [:catlee]
coop: review+
dbaron: review+
Details | Diff | Splinter Review
turn off unittests on osx mozilla-central and tracemonkey (4.92 KB, patch)
2010-01-15 11:44 PST, Chris AtLee [:catlee]
coop: review+
catlee: checked‑in+
Details | Diff | Splinter Review

Description John O'Duinn [:joduinn] (please use "needinfo?" flag) 2009-07-30 18:35:19 PDT
There are dep. bugs tracking getting unittests running properly on debug builds, separate from the builds. Once that is running with similar results, we can stop running our current all-in-one build-and-unittest jobs.

This is important to reduce per-push load on our infrastructure.
Comment 1 Chris AtLee [:catlee] 2009-07-30 19:04:30 PDT
Something we could do in the short term is disable the tests portion of the current unittest build.  So we'd do the unittest build, and then hand off the build to the 'mochitests' and 'everythingelse' builders.
Comment 2 Nick Thomas [:nthomas] 2009-07-30 23:09:08 PDT
(In reply to comment #1)
> Something we could do in the short term is disable the tests portion of the
> current unittest build.  So we'd do the unittest build, and then hand off the
> build to the 'mochitests' and 'everythingelse' builders.

IIRC, ted said that 'make check' isn't packaged currently and would have to stay with the builder. Only takes a couple of minutes to run though.
Comment 3 alice nodelman [:alice] [:anode] 2009-08-05 16:47:50 PDT
Futuring till blocking bug is fixed.
Comment 4 Chris AtLee [:catlee] 2009-09-16 08:25:39 PDT
Created attachment 401025 [details] [diff] [review]
Stop running tests in unittest builder

This is phase 1 of this bug - turning off most of the tests that are run as part of the current unittest build+tests builder.  Once we have unittests on debug and optimized builds running, we can stop running this builder entirely.
Comment 5 Ben Hearsum (:bhearsum) 2009-09-16 09:15:26 PDT
Comment on attachment 401025 [details] [diff] [review]
Stop running tests in unittest builder

yay!
Comment 6 Chris AtLee [:catlee] 2009-09-24 05:54:58 PDT
Comment on attachment 401025 [details] [diff] [review]
Stop running tests in unittest builder

changeset:   416:3968af736cff
Comment 7 Chris AtLee [:catlee] 2009-09-24 11:13:47 PDT
Looks good
Comment 8 Chris AtLee [:catlee] 2009-09-29 11:07:39 PDT
Actually, reopening this.  Phase 2 is to shut of the unittest builds altogether, but we need to wait until problems with optimized tests and debug tests are ironed out.
Comment 9 Chris AtLee [:catlee] 2009-11-04 06:49:11 PST
Created attachment 410234 [details] [diff] [review]
Allow unittests to be toggled on per-platform basis
Comment 10 Chris AtLee [:catlee] 2009-11-04 06:51:01 PST
Created attachment 410235 [details] [diff] [review]
buildbot-configs to turn off unittests on linux mozilla-central
Comment 11 Ben Hearsum (:bhearsum) 2009-11-04 09:19:13 PST
Comment on attachment 410234 [details] [diff] [review]
Allow unittests to be toggled on per-platform basis

>@@ -4255,22 +4255,23 @@ class WinmoBuildFactory(MobileBuildFacto
>             haltOnFailure=True
>         )
> 
> class UnittestPackagedBuildFactory(MozillaBuildFactory):
>     def __init__(self, platform, test_suites, env=None,
>             mochitest_leak_threshold=None, crashtest_leak_threshold=None,
>             totalChunks=None, thisChunk=None, chunkByDir=None,
>             **kwargs):
>+        self.platform = platform.split('-')[0]
>+
>         if env is None:
>-            self.env = MozillaEnvironments['%s-unittest' % platform].copy()
>+            self.env = MozillaEnvironments['%s-unittest' % self.platform].copy()
>         else:
>             self.env = env


This hunk is going to conflict with one of the patches in bug 515436. Should be easy enough to merge, just a heads up though!

Looks good otherwise.
Comment 12 Ben Hearsum (:bhearsum) 2009-11-04 09:21:27 PST
Comment on attachment 410235 [details] [diff] [review]
buildbot-configs to turn off unittests on linux mozilla-central

yay
Comment 13 Chris AtLee [:catlee] 2009-11-05 11:29:28 PST
Comment on attachment 410234 [details] [diff] [review]
Allow unittests to be toggled on per-platform basis

changeset:   478:3927145d3dbe
Comment 14 Chris AtLee [:catlee] 2009-11-05 11:29:40 PST
Comment on attachment 410235 [details] [diff] [review]
buildbot-configs to turn off unittests on linux mozilla-central

changeset:   1696:55e9f1f70d15
Comment 15 Nick Thomas [:nthomas] 2009-11-08 01:21:36 PST
Comment on attachment 410234 [details] [diff] [review]
Allow unittests to be toggled on per-platform basis

The builder names changed with this patch, eg from
  OS X 10.5.2 mozilla-central test debug mochitests-1/5
to
  OS X 10.5.2 mozilla-central debug test mochitests-1/5
Same for opt. Caused some confusion.
Comment 16 Ben Hearsum (:bhearsum) 2009-12-03 13:43:22 PST
sdwilsh told me today that he believes we're ready to turn off refcnt builds on m-c Windows.

Dbaron, you've heavily informed here, can you confirm that?,
Comment 17 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2009-12-03 13:54:54 PST
(In reply to comment #16)
> sdwilsh told me today that he believes we're ready to turn off refcnt builds on
> m-c Windows.
> 
> Dbaron, you've heavily informed here, can you confirm that?,

Yes.  Sounds fine to me.
Comment 18 Chris AtLee [:catlee] 2009-12-03 18:31:27 PST
Created attachment 415996 [details] [diff] [review]
buildbot-configs to turn off unittests on win32 mozilla-central

woot!
Comment 19 Chris AtLee [:catlee] 2009-12-03 18:32:11 PST
How about project branches?  Can we turn off Linux and Windows unittest builds on tracemonkey, places and/or electrolysis?
Comment 20 Nick Thomas [:nthomas] 2009-12-03 18:39:40 PST
We'd have to turn on opt and debug test there first, right ?
Comment 21 Chris AtLee [:catlee] 2009-12-08 10:33:25 PST
Comment on attachment 415996 [details] [diff] [review]
buildbot-configs to turn off unittests on win32 mozilla-central

changeset:   1833:0c379ff0c821
Comment 22 Chris AtLee [:catlee] 2010-01-15 09:30:25 PST
Created attachment 421861 [details] [diff] [review]
turn off unittests on osx mozilla-central

dbaron: please r+ when we're ready to shut off the logrefcnt builds on osx on trunk
Comment 23 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2010-01-15 10:18:46 PST
Comment on attachment 421861 [details] [diff] [review]
turn off unittests on osx mozilla-central

I'm ok with turning them off now.

We probably want to do the same for TraceMonkey.
Comment 24 Chris AtLee [:catlee] 2010-01-15 11:44:35 PST
Created attachment 421880 [details] [diff] [review]
turn off unittests on osx mozilla-central and tracemonkey

disable on tracemonkey too
Comment 25 Chris AtLee [:catlee] 2010-01-15 13:29:21 PST
Comment on attachment 421880 [details] [diff] [review]
turn off unittests on osx mozilla-central and tracemonkey

changeset:   1951:c5e38ec5870d

Note You need to log in before you can comment on or make changes to this bug.